Subject: Re: ps and kill
From: [email-masked] (David Highley)

6 Dec 1996 13:18:51 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 8bit
Original-To: [email-masked]
In-Reply-To: <[email-masked]> from "Doug Evans" at Dec 6, 96 09:51:08 am
X-Mailer: ELM [version 2.4 PL23]
Content-Length: 2080      
Original-Sender: [email-masked]

> 
>    From: "Ben Constable" <[email-masked]>
>    Date: Sat, 7 Dec 1996 03:02:48 +1100
> 
>    Also, when I run who, I get:
> 
>    who: /var/run/utmp: No such file or directory

If you create the directory structure and touch the file the diagnostic
message will go away.  Then if you create the /etc/passwd and /etc/group
files to match what you get from the id command it seems to work on a
Win95 system.

> 
>    What kind of response is this? NT does not store user information in a file
>    called /var/run/utmp. Maybe if we wrote a device driver which mapped a file
>    of that name to a dump of current logged on users, it would work.
> 
> Maybe `who' has been ported to NT yet.
> You'll find there are lots of such binaries that will compile but
> that no one has had time yet to see whether they do anything appropriate
> or not.
> 
>    While I am sending mail to the list, I would like to voice my opinion that
>    a project like this one will only start to work if two versions are made -
>    one for NT and one for 95. NT is too different to use the same source set.
>    What do people think of this?

This should be a solvable, especialy as Microsoft moves Win95 in the
direction of NT.  If there is a need for seperate code it should be
carefully limited.

> 
> One difference between the linux project and the gnu-win32 project
> is the several orders of magnitude of difference in quantity of
> contributed patches ....
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
> 

-- 

                                                     Regards,

 ___________________________________________________________
| David Highley              | Alias: Tree Huggers QA Lab   |
| Highley Recommended, Inc.  | Phone: (206) 669-0081        |
| 2927 SW 339th Street       | FAX    (206) 838-8509        |
| Federal Way, WA 98023-7732 | E-mail: [email-masked] |
|             http://www.halcyon.com/dhighley/              |
|____________________________|______________________________|

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".